#include "MGStarg.h"

#include <TCanvas.h>

#include <MHexagon.h>

ClassImp(MGStarg);

void MGStarg::DrawHexagon()
{
    fCanvas->SetEditable(kTRUE);
    fCanvas->cd();

    MHexagon hex;
    hex.SetFillStyle(4000);
    hex.SetLineColor(17);
    hex.DrawHexagon(0, 0, 177.5*2);

    fCanvas->SetEditable(kFALSE);
}

MGStarg::MGStarg(const TGWindow* p, const UInt_t w)
: MGAccuracy(p, w)
{
    SetColorScale(1.5);
}
